<?php
// (C)2006 Matteo Lucarelli
// section editing code

require_once("load-save.php");

function validate(){
	global $err_str,$descr,$section;
	$err_str='';
	
	for ($i=0;$i<DESCR_COUNT;$i++) $descr[$i]=clean_label($descr[$i]);

	for ($i=0;$i<count($section);$i++){
		$section[$i]['LABEL']=clean_label($section[$i]['LABEL']);
		$section[$i]['TEXT']=clean_label($section[$i]['TEXT']);
	}
}

$modified=TRUE;
$err_str='';

if (isset($_POST['section'])) $section=$_POST['section'];
if (isset($_POST['cover'])) $cover=$_POST['cover'];
if (isset($_POST['descr'])) $descr=$_POST['descr'];
if (isset($_POST['showcover'])) $showcover=$_POST['showcover'];

if ($_POST['sval']!='undefined') $_POST['cmd']=$_POST['sval']; // M$tupid-iE

if (isset($_POST['cmd'])){

	if ($_POST['cmd']=='revert'){
		section_load($_GET['path']);
		$modified=FALSE;
	}
	
	if ($_POST['cmd']=='save'){
		validate();
		if ($err_str==''){
			section_save($_GET['path'],$_FILES);
			$modified=FALSE;
		}
	}	
	
	if (substr($_POST['cmd'],0,3)=='add'){
		$toadd=substr($_POST['cmd'],3);
		for ($i=count($section);$i>$toadd;$i--) $section[$i]=$section[$i-1];
		$section[$toadd]['LABEL']="";
		$section[$toadd]['TEXT']="";
		$section[$toadd]['IMG']="";
	}
	
	if (substr($_POST['cmd'],0,3)=='del'){
		$todel=substr($_POST['cmd'],3);
		for ($i=$todel;$i<count($section);$i++) $section[$i]=$section[$i+1];
		unset($section[count($section)-1]);
	}
	
	if (substr($_POST['cmd'],0,3)=='mov'){
		$tomov=substr($_POST['cmd'],3);
		$tmpsec=$section[$tomov];
		$section[$tomov]=$section[$tomov+1];
		$section[$tomov+1]=$tmpsec;
	}

}else{
	section_load($_GET['path']);
	$modified=FALSE;
}

print_header_with_menu(" ".STR_OF_SECTION." ".$_GET['path']);
print_help("section");
print_error($err_str);

echo "<form method='post' enctype='multipart/form-data' action='index.php?page=sectionedit.php&path=".$_GET['path']."'>\n";
echo "<input type=hidden id='sval' name='sval' value='undefined'>\n"; // M$tupid-iE
echo "<input type='hidden' name='MAX_FILE_SIZE' value=".return_bytes(ini_get("upload_max_filesize")).">\n";

echo "<button type='submit' name='cmd' value='add0' v='add0' onClick='ssval(this.v)'>".STR_ADD."</button>\n";
echo "<button type='submit' name='cmd' value='save' v='save' onClick='ssval(this.v)'>".STR_CMD_SAVE."</button>\n";
if ($modified) echo "<button type='submit' name='cmd' value='revert' v='revert' onClick='ssval(this.v)'>".STR_CMD_REVERT."</button>\n";

if (MAIN_DATA_SECTION=="1"){
	echo "<div>";
	for ($i=0;$i<DESCR_COUNT;$i++) 
		echo STR_DESCR.(DESCR_COUNT==1?"":" ".($i+1))." : <br><textarea name='descr[$i]'>".$descr[$i]."</textarea>";
	if (USE_COVER=="1")
		echo "<p><input type='checkbox' name='showcover' ".($showcover?"checked":"")." >".STR_SHOWCOVER."</p>";
	echo "</div>";
}


if (count($section)!=0) {

	echo "<ol>\n";
	for($i=0 ; $i<count($section); $i++){
	
		echo "<li>\n";
		echo "<table><tr height='".THUMB_MAXH."'><td width='".THUMB_MAXW ."'>";
		echo "<input type='hidden' name='section[$i][IMG]' value='".$section[$i]['IMG']."'>\n";		
		if ($section[$i]['IMG']!=""){
			if (file_exists(DATA_DIR.$_GET['path']."/".$section[$i]['IMG']))
				echo "<a href='".DATA_DIR.$_GET['path']."/".$section[$i]['IMG']."' target='_blank'>\n";
			if (file_exists(DATA_DIR.$_GET['path']."/thumb.".$section[$i]['IMG']))
				echo "<img class='thumb' src='".DATA_DIR.$_GET['path']."/thumb.".$section[$i]['IMG']."'>\n";
			if (file_exists(DATA_DIR.$_GET['path']."/".$section[$i]['IMG'])) echo "</a>\n";
		}
		else echo "<img src='phplib/none.jpg'>\n";
		echo "</td><td align='left'>";
		if (isset($section[$i]['ERRCH'])) echo "<span class='error'>".$section[$i]['ERRCH']."</span>";
		echo "<button type='submit' name='cmd' value='del$i' v='del$i' onClick='ssval(this.v)'>X</button>\n";
		if ($i!=count($section)-1) echo "<button type='submit' name='cmd' value='mov$i' v='mov$i' onClick='ssval(this.v)'>V</button>\n";		
		echo STR_TITLE.": <input type='text' name='section[$i][LABEL]' value='".$section[$i]['LABEL']."'>\n";
		echo STR_NEWFILE.": <input type='file' name='userfile$i'><br>\n";
			
		echo STR_DESCR.": <br><textarea name='section[$i][TEXT]'>".$section[$i]['TEXT']."</textarea><br>\n";
		
		if ((MAIN_DATA_SECTION=="1")&&(USE_COVER=="1")) 
			echo "<input type='radio' name='cover' value='$i' ".($i==$cover?"checked":"").">".STR_USE_AS_COVER;
		echo "</td></tr></table>";
	}
	echo "</ol>\n";
	echo "<button type='submit' name='cmd' value='save' v='save' onClick='ssval(this.v)'>".STR_CMD_SAVE."</button>\n";
	if ($modified) echo "<button type='submit' name='cmd' value='revert' v='revert' onClick='ssval(this.v)'>".STR_CMD_REVERT."</button>\n";
}
echo "</form>";
?>


